=== modified file 'm4/pandora_canonical.m4'
--- m4/pandora_canonical.m4	2010-05-20 22:17:17 +0000
+++ m4/pandora_canonical.m4	2010-05-21 19:32:50 +0000
@@ -4,7 +4,7 @@
 dnl with or without modifications, as long as this notice is preserved.
 
 dnl Which version of the canonical setup we're using
-AC_DEFUN([PANDORA_CANONICAL_VERSION],[0.129])
+AC_DEFUN([PANDORA_CANONICAL_VERSION],[0.130])
 
 AC_DEFUN([PANDORA_FORCE_DEPEND_TRACKING],[
   AC_ARG_ENABLE([fat-binaries],

=== modified file 'm4/pandora_drizzle_build.m4'
--- m4/pandora_drizzle_build.m4	2010-04-20 17:43:40 +0000
+++ m4/pandora_drizzle_build.m4	2010-05-21 19:32:50 +0000
@@ -69,7 +69,7 @@
   AC_CHECK_TYPES([uint, ulong])
 
   PANDORA_CXX_DEMANGLE
-  PANDORA_REQUIRE_BOOST([1.32])
+  PANDORA_REQUIRE_BOOST([1.38])
   PANDORA_REQUIRE_BOOST_PROGRAM_OPTIONS
 
 

=== modified file 'm4/pandora_ensure_gcc_version.m4'
--- m4/pandora_ensure_gcc_version.m4	2010-05-20 22:17:17 +0000
+++ m4/pandora_ensure_gcc_version.m4	2010-05-21 19:32:50 +0000
@@ -9,9 +9,12 @@
                                 [ABCDEFGHIJKLMNOPQRSTUVWXYZ___])])
   AC_CHECK_PROGS([CC]NAME,[gcc$1])
   AC_CHECK_PROGS([CXX]NAME,[g++$1])
-  AS_IF([test "x${CC]NAME[}" != "x"],[CC="${CC]NAME[}"])
-  AS_IF([test "x${CXX]NAME[}" != "x"],[CXX="${CXX]NAME[}"])
-  AS_IF([test "x${CC]NAME[}" != "x"],[CPP="${CC]NAME[} -E"])
+  AS_IF([test "x${CC]NAME[}" != "x" -a "x${ac_cv_env_CC_set}" = "x"],
+    [CC="${CC]NAME[}"])
+  AS_IF([test "x${CXX]NAME[}" != "x" -a "x${ac_cv_env_CCX_set}" = "x"],
+    [CXX="${CXX]NAME[}"])
+  AS_IF([test "x${CC]NAME[}" != "x" -a "x${ac_cv_env_CPP_set}" = "x"],
+    [CPP="${CC]NAME[} -E"])
 ])
 
 dnl If the user is on a Mac and didn't ask for a specific compiler

